Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.completion/1 1.6.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.editor.completion
Class Completion

    java.lang.Object
      org.netbeans.api.editor.completion.Completion

    public final class Completion

extends Object

Code completion allows the clients to request explicit showing or hiding of the code completion.
It's a singleton instance.

Method Summary
`static Completion` | `get()` Get the singleton instance of this class.
`void` | `hideAll()` Hide either of the possibly opened code completion, documentation or tooltip windows.
`void` | `hideCompletion()` Hide a completion popup window if it's opened.
`void` | `hideDocumentation()` Hides a documentation popup window if it's opened.
`void` | `hideToolTip()` Hides a tooltip popup window if it's opened.
`void` | `showCompletion()` Request showing of the code completion popup for the currently focused text component.
`void` | `showDocumentation()` Request showing of the documentation popup for the currently focused text component.
`void` | `showToolTip()` Request showing of the tooltip popup for the currently focused text component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static Completion get()

  Get the singleton instance of this class.

### showCompletion

    public void showCompletion()

  Request showing of the code completion popup for the currently focused text component.
  The completion will be shown if there are any results to be shown for the particular context.

  This method can be called from any thread but when called outside of AWT the request will be rescheduled into AWT.

### hideCompletion

    public void hideCompletion()

  Hide a completion popup window if it's opened.

  This method can be called from any thread. The cancelling of the possibly running tasks is done synchronously and the GUI will be updated in the AWT thread.

### showDocumentation

    public void showDocumentation()

  Request showing of the documentation popup for the currently focused text component.
  The documentation popup will be shown if there are any results to be shown for the particular context.

  This method can be called from any thread but when called outside of AWT the request will be rescheduled into AWT.

### hideDocumentation

    public void hideDocumentation()

  Hides a documentation popup window if it's opened.

  This method can be called from any thread. The cancelling of the possibly running tasks is done synchronously and the GUI will be updated in the AWT thread.

### showToolTip

    public void showToolTip()

  Request showing of the tooltip popup for the currently focused text component.
  The tooltip popup will be shown if there are any results to be shown for the particular context.

  This method can be called from any thread but when called outside of AWT the request will be rescheduled into AWT.

### hideToolTip

    public void hideToolTip()

  Hides a tooltip popup window if it's opened.

  This method can be called from any thread. The cancelling of the possibly running tasks is done synchronously and the GUI will be updated in the AWT thread.

### hideAll

    public void hideAll()

  Hide either of the possibly opened code completion, documentation or tooltip windows.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.completion/1 1.6.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.